Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Raspberry Pi / Does AppGameKit-v2020.04.30 work on Raspberry Pi 4 ?

Author
Message
mdgunn
6
Years of Service
User Offline
Joined: 31st Mar 2014
Location:
Posted: 2nd May 2020 00:23
Programs compile and I get a black window popping up and going straight away with the following message (when I run the app from command line ./SpaceShooter).

----
SpaceShooter: Core.cpp:365: int main(int, char**): Assertion surface != EGL_NO_SURFACE' failed.
----

Tried selecting GL (Fake KMS) OpenGL desktop driver with fake KMS in rasp-config as it sounded like it added OpenGL support (versus the other option of non-GL desktop dirver).

Can anyone confirm if AppGameKit-v2020.04.30 works on RPi4 right now and what needed to be done (if anything) to get it working?

Read some posts from 2019 about running sudo rpi-update but this seems a bad thing to do unless you absolutely, absolutely need to. I did try this on a different SD card but it didn't seem to work for me anyway so I wondered if it worked only for pi 3?

TIA,

Michael




Jack
15
Years of Service
User Offline
Joined: 4th Oct 2004
Location: [Germany]
Posted: 6th May 2020 08:49
Try a compile first, and run the executable though a terminal.
There should be more information whats missing.
Maybe there is a missing open gl package.

Telemac
3
Years of Service
User Offline
Joined: 9th Feb 2017
Playing:
Posted: 7th Jun 2020 08:14
Hello

Have the same problem, test on new app and also crash
Any idea what is missing ?

Thanks
Cybermind
Valued Member
17
Years of Service
User Offline
Joined: 28th Nov 2002
Location: Denmark
Posted: 9th Jun 2020 17:46

Login to post a reply

Server time is: 2020-09-27 21:49:34
Your offset time is: 2020-09-27 21:49:34